#import <Foundation/Foundation.h>

@interface PPTDeviceInfoProvider : NSObject

/**
 * Sets the device token so that it is available for use elsewhere in the application.
 *
 * @return void
 */
+ (void)provideDeviceToken:(NSString *)token;

/**
 * Sets the device token error message so that it is available for use elsewhere in the application.
 *
 * @return void
 */
+ (void)provideDeviceTokenError:(NSString *)token;

/**
 * Getter for the device token. Can transform the token into a plain string or return it in it's standard state
 * wrapped in <> tags with spaces.
 *
 * @return NSString
 */
+ (NSString *)getDeviceToken:(BOOL)transformToken;

/**
 * Getter for the device token error message.
 *
 * @return NSString
 */
+ (NSString *)getDeviceTokenError;

/**
 * Whether or not a device token is available.
 *
 * @return NSString
 */
+ (BOOL)deviceTokenAvailable;

@end
